Dead packages

This page lists packages that have been removed from this overlay for various reasons. You can use it to find pointers to their new locations for moved packages, or perhaps to find the last available ebuild if they were simply culled.

Warning

This document is almost entirely generated using git show. If an entry doesn’t make sense take a look at the referenced commit for the full context.

app-admin

stow

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:6a24dd9c
Removal date:2011-09-13

app-misc

libeatmydata

Now available upstream. The upgrade path is very messy, and the package will be maintained in ::shadow for the foreseeable future.
Reason:Moved to ::shadow
Commit:a95b3182
Removal date:2012-10-16

app-text

gist

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:3bdea61f
Removal date:2011-09-13

sphinxcontrib-issuetracker

sphinxcontrib-issuetracker now packaged upstream.

Upgrade path is clean. The ebuild will exist in ::shadow until a version with matching keywords is available upstream.

Reason:Moved to ::shadow
Commit:8a2dc994
Removal date:2012-04-07

app-vim

rails

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:274adfb0
Removal date:2011-09-13

snipmate

Available in the main tree.
Reason:Moved to ::shadow
Commit:9073e7c0
Removal date:2011-09-13

dev-lua

luainotify

No longer used at our site.
Reason:Culled
Commit:6d283863
Removal date:2013-01-03

luasocket

Available in the main tree.
Reason:Moved to ::shadow
Commit:e6cbe716
Removal date:2009-09-29

dev-haskell

configfile

Only used by hpodder, which has been removed.
Reason:Culled
Commit:9f861263
Removal date:2010-09-24

hpodder

Haskell support was too brittle to keep this, and castget is a reasonable replacement.
Reason:Culled
Commit:ecf3e688
Removal date:2010-09-24

missingh

Only used by hpodder, which has been removed.
Reason:Culled
Commit:fbe106cc
Removal date:2010-09-24

dev-perl

Net-Twitter-Lite

No longer used at our site.
Reason:Culled
Commit:fd868494
Removal date:2012-04-14

dev-python

argh

An ebuild is now available upstream, unfortunately the upgrade path is currently unusable as it uses the bundled version of six.

It will be maintained there until a usable upgrade path is available, including matching keywords.

Reason:Moved to ::shadow
Commit:b28c2424
Removal date:2012-10-06

async

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:7ef5cf4b
Removal date:2011-09-13

behave

Package has been dead here for some time, with all RDEPs long since dropped. No custom upgrade path is required.
Reason:Available upstream
Commit:a8855a4b
Removal date:2015-05-23

blessings

Now available upstream. This package will be maintained in ::shadow until visibility is matched and upstream’s dependencies are fixed.
Reason:Moved to ::shadow
Commit:c66b472b
Removal date:2015-05-23

bpython

Its line editing support is quite weak, and it provides little benefit over the standard python interpreter. The level of maintenance needed was higher than the benefit it gave.
Reason:Culled
Commit:36cf5f2e
Removal date:2009-08-12

cleancss

It didn’t support enough CSS syntax to be usable for our needs.
Reason:Culled
Commit:38a03c83
Removal date:2010-09-21

clevercss2

The implementation was not suitable for our needs
Reason:Culled
Commit:89dffdfd
Removal date:2010-09-21

colorama

An ebuild is now available upstream. It isn’t a drop in replacement, so this will be maintained in ::shadow for the foreseeable future.
Reason:Moved to ::shadow
Commit:d2f0a364
Removal date:2013-02-18
Issues:GitHub #750

cov-core

An ebuild is now available upstream. Unfortunately it can’t be used as it has incorrect dependencies, invalid Python configuration and broken subprocess support.

It will be maintained there until a usable upgrade path is available, including matching keywords.

Reason:Moved to ::shadow
Commit:ccb15265
Removal date:2012-12-03

dexml

dexml now packaged upstream.

Upgrade path is clean. The ebuild will exist in ::shadow until a version with matching keywords is available upstream.

Reason:Moved to ::shadow
Commit:b4dce3d5
Removal date:2016-04-06

dulwich

Available in the main tree.
Reason:Moved to ::shadow
Commit:d7b758ee
Removal date:2010-01-05

feedgenerator

feedgenerator now packaged upstream.

Upgrade path is clean. The ebuild will exist in ::shadow until a version with matching keywords is available upstream.

Reason:Moved to ::shadow
Commit:f8628c6
Removal date:2012-07-20
Issues:GitHub #639

flake8

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:593791d2
Removal date:2013-10-23
Issues:GitHub #814

funcparserlib

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:0050e9ef
Removal date:2013-10-23
Issues:GitHub #815

gevent

This was only required by requests, which has been removed.
Reason:Culled
Commit:8373189c
Removal date:2012-01-16

gistapi

Masked for removal because the dependencies in new releases aren’t supported on our deploy systems.
Reason:Culled
Commit:df715ff0
Removal date:2011-05-10

gitdb

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:1bdc71fe
Removal date:2011-09-13

github2

github2 now packaged upstream.

Upgrade path is ugly. No Python 3 support in Gentoo’s httplib2, no built docs, no 2.4 or 2.5 support. Will be supported for the foreseeable future.

Reason:Moved to ::shadow
Commit:fc7d12f8
Removal date:2012-02-26
Issues:GitHub #551

git-python

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:3384cfe9
Removal date:2011-09-13

httpretty

Package has been dead here for some time, with all RDEPs long since dropped. No upgrade path is required.
Reason:Available upstream
Commit:c833f279
Removal date:2014-02-23
Issues:GitHub #837

importlib

Python 2.6 has been removed upstream, so this package is no longer required.
Reason:Culled
Commit:5b79084f
Removal date:2014-07-08

isodate

Now packaged upstream.

Upgrade path isn’t very clean, and this package will be supported for the foreseeable future.

Reason:Moved to ::shadow
Commit:d639d9f5
Removal date:2012-05-30
Issues:GitHub #613

logbook

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:bd89ae1b
Removal date:2012-01-16

mccabe

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:948f5c6c
Removal date:2013-10-23
Issues:GitHub #816

misaka

Package has been dead here for some time, with all RDEPs long since dropped. No upgrade path is required.
Reason:Available upstream
Commit:69e3fc67
Removal date:2014-02-23
Issues:GitHub #838

multiprocessing

Python 2.5 has been removed upstream, so this package is no longer required.
Reason:Culled
Commit:eaee27c9
Removal date:2013-09-06

nose2

nose2 now packaged upstream.

Upgrade path is clean. The ebuild will exist in ::shadow until a version with matching keywords is available upstream.

Reason:Moved to ::shadow
Commit:5799e1e4
Removal date:2016-04-06

nose2-cov

Recent nose2 versions bundle the coverage plugin.
Reason:Culled
Commit:92640fb7
Removal date:2016-04-06

parse

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:d37eff57
Removal date:2014-11-03
Issues:GitHub #847

pep8

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:7b637d57
Removal date:2011-09-13

pgmagick

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:b22f767f
Removal date:2013-10-23
Issues:GitHub #817

poster

This was only needed by requests, which has been removed.
Reason:Culled
Commit:0195603d
Removal date:2012-01-16

prettytable

An ebuild is now available upstream.
Reason:Culled
Commit:57e69871
Removal date:2012-12-03

pycallgraph

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:e7c0f93e
Removal date:2014-11-03
Issues:GitHub #848

pycparser

pycparser now packaged upstream.

Upgrade path isn’t clean. The ebuild will exist in ::shadow for the foreseeable future.

Reason:Moved to ::shadow
Commit:b27b6de2
Removal date:2012-07-31
Issues:GitHub #643

python-gnupg

Alternatives exist, maintenance costs higher than benefit.
Reason:Culled
Commit:c350e281
Removal date:2010-12-05

python-osmgpsmap

The shadowed ebuild will exist until upstream’s osm-gps-map has matching visibility, and all dependencies are updated to use it.
Reason:Moved to ::shadow
Commit:313b903a
Removal date:2013-04-24

rednose

Doesn’t work correctly with doctests, alternatives exist.
Reason:Culled
Commit:343993fe
Removal date:2010-10-21

requests

New releases bundle libraries, which makes supporting this package quite laborious and prone to error. Releases at the time of removal were not very stable.

See mleighy if you need help porting packages with dependencies on requests to alternatives.

Reason:Culled
Commit:050c16c7
Removal date:2012-01-16

restview

Buggy in places, and upstream is unfortunately on launchpad. rstctl provides similar functionality.
Reason:Culled
Commit:9271790e
Removal date:2011-02-28

rudolf

Significantly increased nose run time, and broke reporting for other plugins we commonly used.
Reason:Culled
Commit:646671c0
Removal date:2010-10-21

scripttest

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:088ab46a
Removal date:2011-09-13

six

Now packaged upstream.

This will remain in ::shadow until upstream has an ebuild available with equal keywords

Reason:Moved to ::shadow
Commit:dafa80f2
Removal date:2012-05-31
Issues:GitHub #614

socksipy

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:f02b5f49
Removal date:2013-10-23
Issues:GitHub #818

sphinx-to-github

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:740ada6b
Removal date:2011-09-13

sphinxcontrib-cheeseshop

Now available upstream. The upgrade path is decidedly messy, and the package will be maintained in ::shadow for the foreseeable future.
Reason:

Moved to ::shadow

Commit:
commit:
Removal date:

2015-03-06

sphinxcontrib-httpdomain

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:56ea0e11
Removal date:2013-06-11

sure

Package has been dead here for some time, with all RDEPs long since dropped. No upgrade path is required.
Reason:Available upstream
Commit:966db0f4
Removal date:2014-02-23
Issues:GitHub #839

termcolor

An ebuild is now available upstream. It isn’t a drop in replacement as it has incorrect PYTHON_COMPAT values and is missing documentation, so this will be maintained in ::shadow for the foreseeable future.
Reason:Moved to ::shadow
Commit:350f353
Removal date:2013-03-06
Issues:{issue.title} (#{issue.id})

termstyle

Unfortunately no longer packaged in a standard manner, and plenty of alternatives exist.
Reason:Culled
Commit:06e15f17
Removal date:2010-12-04

texttable

The shadowed ebuild will exist until upstream’s has matching visibility at the very least.
Reason:Moved to ::shadow
Commit:82edcb9e
Removal date:2014-11-03
Issues:GitHub #849

tox

Available in the main tree.

This will remain in ::shadow until upstream has an ebuild available with equal keywords.

Reason:Moved to ::shadow
Commit:b65bcbc0
Removal date:2012-03-05

tweepy

An ebuild is now available upstream. Unfortunately it can’t be used as it bundles dependencies.

It will be maintained there until a usable upgrade path is available, including matching keywords.

Reason:Moved to ::shadow
Commit:f961a594
Removal date:2012-12-03

twython

The latest release, 1.4.6, has unsupported dependencies and as such is unusable on our systems. Alternatives include tweepy, which is available in this overlay.
Reason:Culled
Commit:090e1c3c
Removal data:2012-03-02

virtualenv5

No longer needed by tox.
Reason:Culled
Commit:fe12bc3b
Removal date:2011-06-28

virtualenvwrapper

An ebuild is now available upstream, unfortunately the upgrade path is incredibly messy. Upstream’s ebuild installs to invalid paths, has incorrect python dependencies and doesn’t include documentation.

This package was already masked for removal in 5b1273c, but the breakage introduced now means it is moving to ::shadow immediately. It will be maintained there until a usable upgrade path is available.

Reason:Moved to ::shadow
Commit:409c46c3
Removal date:2012-03-20

webcolors

Now available upstream. This package will be maintained in ::shadow until visibility is matched and upstream’s dependencies are fixed.
Reason:Moved to ::shadow
Commit:681391b2
Removal date:2015-09-16

dev-util

be

The release we were using is incompatible with the then current codebase. The newer code was far slower and a little too unstable for everyday use. Alternatives to Bugs Everywhere such as ditz exist.
Reason:Culled
Commit:b24e7c8e
Removal date:2010-04-04

ditz

The versions of Ruby that ditz works with no longer exist in the upstream tree.
Reason:Culled
Commit:d5f7c95d
Removal date:2015-09-16

fossil

There is now a version in the tree, although the ebuilds will still exist in ::fixes until an upstream ebuild has equivalent keywords. The upgrade isn’t exactly seamless, but shouldn’t cause significant problems.

Note the version numbers in the in-tree versions, if you’re authoring ebuilds with dependencies on fossil

Reason:Moved to ::shadow
Commit:1954746e
Removal date:2010-01-26

hg-git

Available in the main tree.
Reason:Moved to ::shadow
Commit:e4f47fae
Removal date:2009-12-08

wingide

The upstream packaging was a shocking mess. Both versions supported by the ebuilds contain bundled releases of Python and GTK+ with easily exploitable security vulnerabilities, and only the GTK+ problems are easily worked around.

After some months, nobody stepped up to maintain the ebuilds beyond one-off bugfixes.

Reason:Culled
Commit:52a983f5
Removal date:2010-02-27

dev-vcs

gitflow

Upgrade path is quite messy: upstream uses invalid paths, has missing zsh completion and requires a package move.

This will be maintained in ::shadow for the foreseeable future.

Reason:Available upstream
Commit:ab070046
Removal date:2014-03-25
Issues:GitHub #845

git-sync

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:a49d852e
Removal date:2011-09-13

hub

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:2b66e43f
Removal date:2011-09-13

games-puzzle

sgt-puzzles

This exists in ::shadow until an upstream ebuild has equivalent keywords.
Reason:Moved to ::shadow
Commit:36eb5d09
Removal date:2010-01-08

mail-client

notmuch

There is now an upstream ebuild for notmuch, and the local version will be removed at some point. The upgrade path is incredibly ugly and some features are not supported, so this situation may last sometime.
Reason:Moved to ::shadow
Commit:66e7659e
Removal date:2011-12-13

notmuch-gtk

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:fe7077bc
Removal date:2011-09-13

media-gfx

psplash

Supported alternatives exist, including busybox‘s fbsplash and plymouth.
Reason:Culled
Commit:39fc52f8
Removal date:2011-02-26
Issues:GitHub #141

sng

Made obsolete by upng, which is available from the AST ::graphics overlay.
Reason:Culled
Commit:c88cb29d
Removal date:2012-03-30

sxiv

Package now exists upstream.
Reason:Culled
Commit:523c0450
Removal date:2011-08-27
Issues:GitHub #457

media-sound

mpdcron

Maintenance is passing to mleighy‘s group.

Releases still maintained in jnrowe-misc.

Reason:Moved to ::live
Commit:6ab396d7
Removal date:2011-09-13

media-tv

ontv

Upstream is dropping dependencies, and the effort required to keep this package is excessive given that this overlay is moribund.
Reason:Culled
Commit:a8fcc941
Removal date:2014-11-11

net-irc

twirssi

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:9c9b2cf7
Removal date:2011-09-13

net-mail

rss2email

This one was a very, very, very long time coming...

This can’t be handled by just moving the current ebuild to ::fixes, as the upgrade path is fiercely ugly. The shadowed ebuild is expected to be around for quite some time still.

Reason:Moved to ::shadow
Commit:2f09d163
Removal date:2011-05-12

sci-geosciences

osm-gps-map

The shadowed ebuild will exist until upstream’s has matching visibility.
Reason:Moved to ::shadow
Commit:9c3cb374
Removal date:2013-04-24

sys-fs

fslint

An ebuild is now available upstream. It is a drop in replacement.
Reason:Culled
Commit:47db2ee8
Removal date:2013-03-29
Issues:{issue.title} (#{issue.id})

unionfs-fuse

There is now a version in the tree, and the ebuilds will still exist in ::fixes until a version has equivalent keywords. See the linked bug for some unfortunate details of the upgrade path.
Reason:Moved to ::shadow
Commit:61af9a27
Removal date:2010-01-20
Issues:AST#249971

virtual

python-multiprocessing

Python 2.5 has been removed upstream, so this package is no longer required.
Reason:Culled
Commit:eaee27c9
Removal date:2013-09-06

python-importlib

Python 2.6 has been removed upstream, so this package is no longer required.
Reason:Culled
Commit:1be0cab7
Removal date:2014-07-08

www-apps

rstblog

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:06351abd
Removal date:2011-09-13

www-client

github-cli

No longer used at our site.
Reason:Culled
Commit:9ab12d24
Removal date:2012-03-21

opera-remote

Doesn’t work correctly with recent Opera versions, and the built-in command line interface has improved greatly.
Reason:Culled
Commit:77683d8f
Removal date:2010-08-08

surfraw

This was causing problems with the kinesis resolver.
Reason:Moved to ::shadow
Commit:29d5b356
Removal date:2011-09-13

x11-libs

ghosd

No longer used at our site.
Reason:Culled
Commit:7181a803
Removal date:2013-01-03

x11-misc

notify-osd

This packages was found to be unsupportable, even to the level required while it was masked.
Reason:Moved to ::shadow
Commit:d8741f96
Removal date:2011-06-02

x11-plugins

obvious

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:a240cd77
Removal date:2011-09-13`

vicious

Users should have migrated to the new upstream ebuilds, but the upgrade path isn’t very clean so it is expected some ebuilds will remain in ::shadow for some time.
Reason:Moved to ::shadow
Commit:9072fe6a
Removal date:2011-06-16

x11-themes

notify-osd-icons

They’re definitely very pretty, but without notify-osd they provide little additional value.
Reason:Culled
Commit:0ccd124c
Removal date:2011-07-02

x11-wm

matwm2

Moved to ::fixes until a working version with equivalent keywords is available.
Reason:Moved to ::shadow
Commit:e36fcf7b
Removal date:2010-01-06

parti

An ebuild now exists upstream.
Reason:Moved to ::shadow
Commit:c3d01805
Removal date:2010-10-08
Issues:GitHub #6

subtle

It is unsupportable in its current state.
Reason:Culled
Commit:a6d131d3
Removal date:2010-03-04

wmfs

Maintenance is passing to mleighy‘s group.
Reason:Moved to ::live
Commit:a73b09d3
Removal date:2011-09-13